Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
RNode Struct Reference

`#include <node.h>`

## Data Fields
VALUE | flags
union {
struct RNode * node
ID id
VALUE value
ID * tbl
} | u1
union {
struct RNode * node
ID id
long argc
VALUE value
} | u2
union {
struct RNode * node
ID id
long state
struct rb_global_entry * entry
struct rb_args_info * args
struct rb_ary_pattern_info * apinfo
VALUE value
} | u3
rb_code_location_t | nd_loc
int | node_id
union {
struct RNode * node
ID id
VALUE value
ID * tbl
} | u1
union {
struct RNode * node
ID id
long argc
VALUE value
} | u2
union {
struct RNode * node
ID id
long state
struct rb_global_entry * entry
struct rb_args_info * args
struct rb_ary_pattern_info * apinfo
VALUE value
} | u3

## Detailed Description

Definition at line 149 of file node.h.

## Field Documentation

## ◆ apinfo

struct rb_ary_pattern_info* RNode::apinfo

Definition at line 169 of file node.h.

## ◆ argc

long RNode::argc

Definition at line 160 of file node.h.

## ◆ args

struct rb_args_info* RNode::args

Definition at line 168 of file node.h.

## ◆ entry

struct rb_global_entry* RNode::entry

Definition at line 167 of file node.h.

## ◆ flags

VALUE RNode::flags

Definition at line 150 of file node.h.

## ◆ id

ID RNode::id

Definition at line 153 of file node.h.

## ◆ nd_loc

rb_code_location_t RNode::nd_loc

Definition at line 172 of file node.h.

## ◆ node

struct RNode* RNode::node

Definition at line 152 of file node.h.

## ◆ node_id

int RNode::node_id

Definition at line 173 of file node.h.

## ◆ state

long RNode::state

Definition at line 166 of file node.h.

## ◆ tbl

ID* RNode::tbl

Definition at line 155 of file node.h.

## ◆ u1 [1/2]

union { ... } RNode::u1

## ◆ u1 [2/2]

union { ... } RNode::u1

## ◆ u2 [1/2]

union { ... } RNode::u2

## ◆ u2 [2/2]

union { ... } RNode::u2

## ◆ u3 [1/2]

union { ... } RNode::u3

## ◆ u3 [2/2]

union { ... } RNode::u3

## ◆ value

VALUE RNode::value

Definition at line 154 of file node.h.

The documentation for this struct was generated from the following files:

- node.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h